FOREIGN_FILTER_GET_FORMAT(3)

EXPERIMENTAL_FUNC
foreign_filter_get_format - Get the filter format

SYNOPSIS
#include <karma_foreign.h>

unsigned int foreign_filter_get_format

(CONST char *filename)

DESCRIPTION
Get the filter format

filename
    The name of the file.

RETURN VALUE
A value indicating the format of the file. The value FOREIGN_FILE_FORMAT_FILTER_KARMA is returned if a data filter to Karma for the file exists. The value FOREIGN_FILE_FORMAT_FILTER_FITS is returned if a data filter to FITS exists. Otherwise FOREIGN_FILE_FORMAT_UNKNOWN is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/